<?php
date_default_timezone_set('America/Lima');
class cProducto{
	
	
	
function calcula_fecha($fechaActual, $fechaRegistro){ 
	$segundosFechaActual = strtotime($fechaActual);
	$segundosFechaRegistro = strtotime($fechaRegistro);
	$segundosTranscurridos = $segundosFechaActual - $segundosFechaRegistro;
	$diasTranscurridos = $segundosTranscurridos / 86400;
	return $diasTranscurridos;
}
	
	function ver_precio_mayor_producto($catid,$marid){
		$sql = "SELECT (cd.tb_compradetalle_preuni+cd.tb_compradetalle_igv) as 'PREMAY', com.tb_moneda_id FROM tb_compradetalle cd 
inner join tb_compra com on com.tb_compra_id = cd.tb_compra_id 
inner join tb_proveedor pv on pv.tb_proveedor_id = com.tb_proveedor_id
inner join tb_catalogo ct on cd.tb_catalogo_id = ct.tb_catalogo_id 
inner join tb_producto pr on ct.tb_producto_id = pr.tb_producto_id 
where cd.tb_catalogo_id = '$catid' and cd.tb_marca_id = '$marid' and com.tb_compra_xac = '1'
order by cd.tb_compradetalle_id desc limit 2 "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function ver_a_proveedores_compras_por_producto($catid){
		$sql = "SELECT * FROM tb_compradetalle cd 
inner join tb_compra com on com.tb_compra_id = cd.tb_compra_id 
inner join tb_proveedor pv on pv.tb_proveedor_id = com.tb_proveedor_id
where cd.tb_catalogo_id = '$catid' and com.tb_compra_xac = '1' group by com.tb_proveedor_id "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function ver_ultimos_2_precios_compras($catid,$marid,$provid){
		$sql = "SELECT * FROM tb_compradetalle cd 
inner join tb_compra com on com.tb_compra_id = cd.tb_compra_id 
inner join tb_proveedor pv on pv.tb_proveedor_id = com.tb_proveedor_id
inner join tb_catalogo ct on cd.tb_catalogo_id = ct.tb_catalogo_id 
inner join tb_producto pr on ct.tb_producto_id = pr.tb_producto_id 
where ct.tb_catalogo_id = '$catid' and cd.tb_marca_id = '$marid' and com.tb_proveedor_id='$provid' and com.tb_compra_xac = '1'
order by cd.tb_compradetalle_id desc limit 2
"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	function insertar_archivo($fec,$url,$catid, $usuid,$nom){
		$sql = "INSERT INTO tb_productoimagen(
		`tb_productoimagen_fec` ,
		`tb_productoimagen_url` ,
		`tb_catalogo_id` ,
		`tb_usuario_id`,
		`tb_productoimagen_nom`
		)
		VALUES ('$fec','$url','$catid','$usuid','$nom')"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	function modificar_campoimagen($id,$campo,$val){
		$sql = "UPDATE tb_productoimagen SET
		tb_productoimagen_$campo =  '$val' 
		WHERE  tb_productoimagen_id = '$id'"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	function filtrar_imagenes($cat_id){
		$sql = "select * from tb_productoimagen
		where tb_catalogo_id = '$cat_id' and tb_productoimagen_xac =1 "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	
	
	
	function insertar($nom,$codint, $des, $est, $cat_id,$obs,$cod,$emp_id,$pre_id,$bonpre){
		$now =  date('Y-m-d h:i:s a');
		$sql = "INSERT INTO 
		tb_producto(
		tb_producto_reg,
		tb_producto_mod,
		tb_producto_nom,
		tb_producto_codint,
		tb_producto_des,
		tb_producto_est,
		tb_categoria_id,
		tb_producto_obs,
		tb_producto_cod,
		tb_empaque_id,
		tb_presentacion_id,
		tb_producto_bonpre
		) VALUES ('$now', '$now', '$nom','$codint', '$des',  '$est',  '$cat_id','$obs','$cod','$emp_id','$pre_id','$bonpre' );";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function modificardescripcion($id, $des){
		
		$sql = "UPDATE tb_producto SET  
			tb_producto_des = '$des'			
		WHERE  tb_producto_id = '$id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	
	function modificar($id, $nom,$codint, $des, $cat_id, $obs, $cod,$emp_id,$pre_id,$bonpre){
		$now =  date('Y-m-d h:i:s a');
		$sql = "UPDATE tb_producto SET  
			tb_producto_mod = '$now',
			tb_producto_nom = '$nom',
			tb_producto_codint = '$codint',
			tb_producto_des = '$des',
			tb_categoria_id = '$cat_id',					
			tb_producto_obs = '$obs',						
			tb_empaque_id = '$emp_id',					
			tb_presentacion_id = '$pre_id',				
			tb_producto_cod = '$cod',					
			tb_producto_bonpre = '$bonpre'						
		WHERE  tb_producto_id = '$id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	
/*
	function insertar_familia($ser,$nom,$des,$proid){
		$now =  date('Y-m-d h:i:s a');
		$sql = "INSERT INTO 
		tb_familia(
		tb_familia_reg,
		tb_familia_ser,
		tb_familia_nom,
		tb_familia_des,
		tb_producto_id
		) VALUES ('$now','$ser','$nom','$des','$proid')";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
*/
	
	function mostrarFamilia($catid){
		
		$sql = "select * from tb_productofamilia  profam 
			inner join tb_familia fam on fam.tb_familia_id = profam.tb_familia_id
		where profam.tb_catalogo_id = '$catid' and tb_productofamilia_xac = 1 ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	function ultimoInsert(){
		$sql = "select MAX(tb_producto_id) as 'id' from tb_producto"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function mostrar_filtro($nom1,$nom2,$nom3,$nom4,$cat_id,$fil,$mar,$codmar,$fam,$des){
		$sql="SELECT p.*,u.*,c.*,ct.*
		FROM tb_producto p
		left JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		left JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		LEFT JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
        left join tb_productomarca pmar on pmar.tb_catalogo_id = ct.tb_catalogo_id
		left join tb_marca m on pmar.tb_marca_id = m.tb_marca_id
		left join tb_productomarcacodigo pmarcod on pmarcod.tb_productomarca_id = pmar.tb_productomarca_id
		left join tb_productofamilia pfam on pfam.tb_catalogo_id = ct.tb_catalogo_id
		left join tb_familia f on pfam.tb_familia_id = f.tb_familia_id
		WHERE tb_producto_xac='1' and tb_producto_nom != '' ";
		
		if($nom1!="" || $nom2!="" || $nom3!="" || $nom4!=""){
		
			$sql.=" AND p.tb_producto_nom LIKE '%$nom1%' AND p.tb_producto_nom LIKE '%$nom2%' 
		AND p.tb_producto_nom LIKE '%$nom3%' AND p.tb_producto_nom LIKE '%$nom4%' ";
		}
		
	
		
		if($cat_id>0)$sql.=" AND p.tb_categoria_id = '$cat_id' ";
		if($des>0)$sql.=" AND p.tb_producto_des like '%$des%' ";
		if($mar!="")$sql.=" AND m.tb_marca_nom like '%$mar%' ";
		if($codmar!="")$sql.=" AND pmarcod.tb_productomarcacodigo_cod like '%$codmar%' ";
		if($fam!="")$sql.=" AND f.tb_familia_nom like '%$fam%' ";
		
		
		$sql.="group by p.tb_producto_id,p.tb_producto_xac,p.tb_producto_mod,p.tb_producto_nom,
		p.tb_producto_des,p.tb_producto_est,p.tb_producto_reg, p.tb_categoria_id,p.tb_producto_obs,p.tb_empaque_id,p.tb_presentacion_id,ct.tb_producto_id,
		u.tb_unidad_id,u.tb_unidad_xac,u.tb_unidad_tip,u.tb_unidad_abr,u.tb_unidad_nom,u.tb_unidad_fac,
		c.tb_categoria_id,c.tb_categoria_xac,c.tb_categoria_nom,c.tb_categoria_color,c.tb_categoria_idp,
		c.tb_categoria_verped,ct.tb_catalogo_id,ct.tb_catalogo_xac,ct.tb_catalogo_fac,ct.tb_catalogo_vercom,
		ct.tb_catalogo_verven,ct.tb_catalogo_ran,ct.tb_unidad_id,ct.tb_catalogo_est,p.tb_producto_cod,p.tb_producto_bonpre
		ORDER BY p.tb_producto_mod desc ";

		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
	
	function mostrar_filtro_proceso($nom1,$nom2,$nom3,$nom4,$cat_id,$fil,$mar,$codmar,$fam,$des){
		$sql="SELECT p.*,u.*,c.*,ct.*,m.*,pmar.*,em.tb_empaque_fac,em.tb_empaque_nom,pr.tb_presentacion_nom
		FROM tb_producto p
		left JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
        left join tb_productomarca pmar on pmar.tb_catalogo_id = ct.tb_catalogo_id
		left join tb_marca m on pmar.tb_marca_id = m.tb_marca_id
		left join tb_productomarcacodigo pmarcod on pmarcod.tb_productomarca_id = pmar.tb_productomarca_id
		left join tb_productofamilia pfam on pfam.tb_catalogo_id = ct.tb_catalogo_id
		left join tb_familia f on pfam.tb_familia_id = f.tb_familia_id
		inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
		WHERE tb_producto_xac='1' and tb_producto_nom != '' and pmar.tb_productomarca_xac = '1' ";
		
		if($nom1!="" || $nom2!="" || $nom3!="" || $nom4!=""){
		
			$sql.=" AND p.tb_producto_nom LIKE '%$nom1%' AND p.tb_producto_nom LIKE '%$nom2%' 
		AND p.tb_producto_nom LIKE '%$nom3%' AND p.tb_producto_nom LIKE '%$nom4%' ";
		
		
			$sql.=" or p.tb_producto_des LIKE '%$nom1%' and p.tb_producto_des LIKE '%$nom2%' 
		and p.tb_producto_des LIKE '%$nom3%' and p.tb_producto_des LIKE '%$nom4%' and tb_producto_xac='1' ";
		
		
		}
	
		
		if($cat_id>0)$sql.=" AND p.tb_categoria_id = '$cat_id' ";
		if($mar!="")$sql.=" AND m.tb_marca_nom like '%$mar%' ";
		if($codmar!="")$sql.=" AND p.tb_producto_codint like '%$codmar%' ";
		if($fam!="")$sql.=" AND f.tb_familia_nom like '%$fam%' ";
		
		
		$sql.="group by p.tb_producto_id,p.tb_producto_xac,p.tb_producto_mod,p.tb_producto_nom,p.tb_empaque_id,p.tb_presentacion_id,
		p.tb_producto_des,p.tb_producto_est,p.tb_producto_reg, p.tb_categoria_id,p.tb_producto_obs,
		u.tb_unidad_id,u.tb_unidad_xac,u.tb_unidad_tip,u.tb_unidad_abr,u.tb_unidad_nom,u.tb_unidad_fac,ct.tb_producto_id,pmar.tb_productomarca_prevenf,pmar.tb_productomarca_lote,
		c.tb_categoria_id,c.tb_categoria_xac,c.tb_categoria_nom,c.tb_categoria_color,c.tb_categoria_idp,em.tb_empaque_nom,pr.tb_presentacion_nom,
		c.tb_categoria_verped,ct.tb_catalogo_id,ct.tb_catalogo_xac,ct.tb_catalogo_fac,ct.tb_catalogo_vercom,p.tb_producto_cod,
		ct.tb_catalogo_verven,ct.tb_catalogo_ran,ct.tb_unidad_id,ct.tb_catalogo_est,em.tb_empaque_fac,p.tb_producto_bonpre,
		m.tb_marca_id,m.tb_marca_xac,m.tb_marca_nom ,pmar.tb_productomarca_id,pmar.tb_productomarca_xac,pmar.tb_catalogo_id,pmar.tb_marca_id,pmar.tb_productomarca_codbar, pmar.tb_productomarca_precos,pmar.tb_productomarca_preven,pmar.tb_productomarca_fecven   ORDER BY p.tb_producto_mod desc ";

		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	

	function mostrar_filtro_panel(){
		$sql="SELECT * FROM tb_producto WHERE tb_producto_xac='1' ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrar_filtro_desagrupado($nom1,$nom2,$nom3,$nom4,$cat_id,$fil,$mar,$codmar,$fam){
		$sql="SELECT p.*,c.*,pr.*,ct.*,u.*,m.*,pmarcod.*
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		LEFT JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
        left join tb_productomarca pmar on pmar.tb_catalogo_id = ct.tb_catalogo_id
		left join tb_marca m on pmar.tb_marca_id = m.tb_marca_id
		left join tb_productomarcacodigo pmarcod on pmarcod.tb_productomarca_id = pmar.tb_productomarca_id
		left join tb_productofamilia pfam on pfam.tb_catalogo_id = ct.tb_catalogo_id
		left join tb_familia f on pfam.tb_familia_id = f.tb_familia_id
		WHERE tb_producto_xac='1' and tb_producto_nom != '' and pmar.tb_productomarca_xac = '1' ";

		$sql.=" AND p.tb_producto_des LIKE '%$nom1%' AND p.tb_producto_des LIKE '%$nom2%' AND p.tb_producto_des LIKE '%$nom3%' AND p.tb_producto_des LIKE '%$nom4%' ";
		
		if($cat_id>0)$sql.=" AND p.tb_categoria_id = '$cat_id' ";
		if($mar!="")$sql.=" AND m.tb_marca_nom like '%$mar%' ";
		if($codmar>0)$sql.=" AND pmarcod.tb_productomarcacodigo_cod like '%$codmar%' ";
		if($fam!="")$sql.=" AND f.tb_familia_nom like '%$fam%' ";
		
		
		//$sql.="GROUP BY p.tb_producto_id, ct.tb_catalogo_id  ORDER BY p.tb_producto_mod desc ";
		
		//if($fil!="")$sql.="GROUP BY p.tb_producto_id  ORDER BY p.tb_producto_mod desc LIMIT 0,$fil ";

		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}



		function mostrarCod_principal($cat_id){
		$sql="SELECT * FROM tb_productomarca pmar
		inner join tb_productomarcacodigo pmarcod on pmarcod.tb_productomarca_id = pmar.tb_productomarca_id
		WHERE tb_catalogo_id = '$cat_id' and tb_productomarcacodigo_tip = 1 ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}



	function mostrar_filtro_excel($bon)
	{
		$sql="SELECT p.*,c.*,pr.*,ct.*,u.*,m.*,pmar.*,em.*
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		LEFT JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
        left join tb_productomarca pmar on pmar.tb_catalogo_id = ct.tb_catalogo_id
		left join tb_marca m on pmar.tb_marca_id = m.tb_marca_id
		inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
		WHERE tb_producto_xac='1' ";
        if($bon!="")$sql.=" AND tb_producto_bonpre > '0' ";

		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrar_presentacion_filtro($nom,$cat,$mar,$est){
		$sql="SELECT * 
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		INNER JOIN tb_marca m ON p.tb_marca_id=m.tb_marca_id
		LEFT JOIN tb_presentacion pr ON pr.tb_producto_id = p.tb_producto_id
		INNER JOIN tb_unidad u ON pre.tb_unidad_id=u.tb_unidad_id
		WHERE tb_producto_est LIKE '%$est%' ";

		if($nom!="")$sql.=" AND tb_producto_nom LIKE '%$nom%' ";
		if($cat!="")$sql.=" AND p.tb_categoria_id=$cat ";
		if($mar!="")$sql.=" AND p.tb_marca_id=$mar ";


		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrar_presentacion($id){
		$sql="SELECT * 
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_producto_id = p.tb_producto_id			
		INNER JOIN tb_unidad u ON .tb_unidad_id=u.tb_unidad_id
		WHERE tb_presentacion_id=$id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrar_venta_detalle($ven_id){
		$sql="SELECT * 
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		INNER JOIN tb_marca m ON p.tb_marca_id=m.tb_marca_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		INNER JOIN tb_ventadetalle vd ON pr.tb_presentacion_id=vd.tb_presentacion_id
		INNER JOIN tb_unidad u ON pr.tb_unidad_id=u.tb_unidad_id
		WHERE vd.tb_venta_id=$ven_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrarUno($id){
		$sql="SELECT *  
		FROM tb_producto p
		LEFT JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		LEFT join tb_productomarca pm on pm.tb_catalogo_id = ct.tb_catalogo_id
        LEFT join tb_marca m on m.tb_marca_id = pm.tb_marca_id
		WHERE  p.tb_producto_xac='1' and p.tb_producto_id= '$id' ";
		
		//if($uniid!='')$sql.=" AND ct.tb_catalogo_uni =$uniid";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}	

	
	function modificar_mod($id){
		$now =  date('Y-m-d h:i:s a');
		$sql = "UPDATE tb_producto SET tb_producto_mod = '$now' WHERE  tb_producto_id = $id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function complete_nom($dato){
		$sql="SELECT * 
		FROM tb_producto pro 
		INNER JOIN tb_catalogo ct on ct.tb_producto_id =pro.tb_producto_id 
		INNER JOIN tb_unidad u on ct.tb_unidad_id = u.tb_unidad_id
		INNER JOIN tb_productomarca pm on pm.tb_catalogo_id = ct.tb_catalogo_id
		INNER JOIN tb_marca m on m.tb_marca_id = pm.tb_marca_id
		WHERE pro.tb_producto_xac='1' 
		and pro.tb_producto_nom LIKE '%$dato%'
		 LIMIT 10
		";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql) or die('false');
		return $rst;
	}
	
	
	function complete_nom_cstocksoles($nom,$est,$limit,$monid)
	{
		$sql="SELECT * 
		FROM tb_producto p
		INNER join tb_articulotipo ar on p.tb_articulotipo_id = ar.tb_articulotipo_id
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		INNER JOIN tb_marca m ON p.tb_marca_id=m.tb_marca_id
		INNER JOIN tb_catalogo ct ON p.tb_producto_id =ct.tb_producto_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id_equ=u.tb_unidad_id
		WHERE tb_producto_xac=1
		and ar.tb_articulotipo_sto = 1
        and ar.tb_articulotipo_id != 1
		AND ct.tb_catalogo_verven=1	";
		if($nom!="") $sql .= " AND tb_producto_nom LIKE '%$nom%' ";
		if($est!="") $sql .= " AND p.tb_producto_est = '$est' ";
		if($monid>0) $sql .= " AND ct.tb_moneda_id = '$monid' ";
		$sql.=" ORDER BY tb_unidad_tip, tb_producto_nom ";
		if($limit>0)$sql.=" LIMIT 0,$limit ";	
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;		  
	}	

	function complete_nom_cstocksoles_insumos($nom,$est,$limit,$monid)
	{
		$sql="SELECT * 
		FROM tb_producto p
		INNER join tb_articulotipo ar on p.tb_articulotipo_id = ar.tb_articulotipo_id
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		INNER JOIN tb_marca m ON p.tb_marca_id=m.tb_marca_id
		INNER JOIN tb_catalogo ct ON pr.tb_producto_id =ct.tb_product_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id_equ=u.tb_unidad_id
		WHERE tb_producto_xac=1
		and ar.tb_articulotipo_sto = 1
        and ar.tb_articulotipo_id = 1
		AND ct.tb_catalogo_verven=1	";
		if($nom!="") $sql .= " AND tb_producto_nom LIKE '%$nom%' ";
		if($est!="") $sql .= " AND p.tb_producto_est = '$est' ";
		if($monid>0) $sql .= " AND ct.tb_moneda_id = '$monid' ";
		$sql.=" ORDER BY tb_unidad_tip, tb_producto_nom ";
		if($limit>0)$sql.=" LIMIT 0,$limit ";	
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;		  
	}	

	function complete_nom_pedido($dato,$alm){
		$sql="SELECT * 
		FROM tb_producto pro 

		INNER JOIN tb_catalogo ct on ct.tb_producto_id =pro.tb_producto_id
		INNER JOIN tb_moneda mon on ct.tb_moneda_id = mon.tb_moneda_id
		INNER JOIN tb_unidad u on ct.tb_unidad_id_bas = u.tb_unidad_id
		WHERE pro.tb_producto_xac='1' 
		and ct.tb_moneda_id = '1'
		and pro.tb_producto_nom LIKE '%$dato%'
		LIMIT 10
		";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql) or die('false');
		return $rst;
	}
	function verifica_producto_tabla($id,$tabla){
		$sql = "SELECT * 
		FROM  $tabla 
		WHERE tb_producto_id = $id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function consultar_coincidencia($pro_id,$pro_nom, $cat_id, $mar_id){
		$sql = "SELECT * 
		FROM  tb_producto
		WHERE tb_producto_nom LIKE '%$pro_nom%'
		AND tb_categoria_id = $cat_id
		AND tb_marca_id = $mar_id ";

		if($pro_id>0)$sql.=" AND tb_producto_id <> $pro_id ";

		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function modificar_campo($id, $campo, $val){
		$sql = "UPDATE tb_producto SET
		tb_producto_$campo =  '$val' 
		WHERE  tb_producto_id = '$id'"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	

	function buscar_por_nombre($nombre){
		$nombre = limpia_espacios($nombre);
		$sql = "SELECT * FROM tb_producto p 
		inner join tb_catalogo ct on ct.tb_producto_id = p.tb_producto_id
		inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
		WHERE p.tb_producto_nom = '$nombre' ";

		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	//VERIFICA EXISTENCIA DE CODIGO DE BARRAS
	
	function verificar_codbar($promar_id,$codbar){
		$sql="SELECT *
		FROM tb_productomarca 
		WHERE tb_productomarca_codbar='$codbar' ";
		if($promar_id>0)$sql.=" AND tb_productomarca_id <> $promar_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function buscar_codbar($codbar){
		$sql="SELECT *
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		LEFT JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
        left join tb_productomarca pmar on pmar.tb_catalogo_id = ct.tb_catalogo_id
		left join tb_marca m on pmar.tb_marca_id = m.tb_marca_id
		WHERE p.tb_producto_xac='1' and pmar.tb_productomarca_codbar='$codbar' ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	

}
?>